﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EmployeeApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void SubmitButton_Click(object sender, RoutedEventArgs e)
        {
            decimal expenseAmount;
            bool containsDecimal = decimal.TryParse(AmountTextBox.Text, out expenseAmount);

            if (containsDecimal)
	        {
                ExpenseReportServiceReference.ServiceClient proxy = new ExpenseReportServiceReference.ServiceClient();
                int expenseId = proxy.CreateExpenseReport(expenseAmount, DescriptionTextBox.Text);

                MessageBox.Show(string.Format("Expense submitted with id {0}", expenseId));
            }
        }
    }
}