﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;

namespace ExpenseReport.Activities
{

    public sealed class CreateExpenseReportActivity : CodeActivity<int>
    {
        public InArgument<decimal> Amount { get; set; }
        public InArgument<string> Description { get; set; }

        protected override int Execute(CodeActivityContext context)
        {
            Data.ExpenseReportManager expenseReportManager = new Data.ExpenseReportManager();

            return expenseReportManager.CreateExpenseReport(Amount.Get(context),
                Description.Get(context));
        }
    }
}