
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 11/22/2010 19:31:16
-- Generated from EDMX file: C:\Users\rgodinho\Documents\Internal\Comunidade\Articles\MSDN Magazine\Code\ExpenseReport\ExpenseReport\Data\ExpenseReportModel.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [ExpenseReportDatabase];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------


-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[ExpenseReports]', 'U') IS NOT NULL
    DROP TABLE [dbo].[ExpenseReports];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'ExpenseReports'
CREATE TABLE [dbo].[ExpenseReports] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Status] nchar(1)  NOT NULL,
    [Amount] decimal(19,4)  NOT NULL,
    [Description] nvarchar(1024)  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [Id] in table 'ExpenseReports'
ALTER TABLE [dbo].[ExpenseReports]
ADD CONSTRAINT [PK_ExpenseReports]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------